<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="c" section="in-portal:browse" title_preset="related_searches_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('c-search','<inp2:c-search_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('c-search','OnCancel');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
					go_to_id('c-search', '<inp2:c-search_PrevId/>');
					}
				));
	
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
						go_to_id('c-search', '<inp2:c-search_NextId/>');
					}
				));
	
				a_toolbar.Render();
				
				<inp2:m_if check="c-search_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="c-search_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="c-search_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:c-search_SaveWarning name="grid_save_warning"/>
<inp2:c-search_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="c-search" fields="ResourceId,ItemType,RelatedSearchId,Keyword,Enabled,Priority" title="la_section_Relation"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-search" field="ResourceId"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="c-search" field="ItemType"/>

			<inp2:m_RenderElement name="inp_id_label" prefix="c-search" field="RelatedSearchId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="c-search" field="Keyword" title="la_fld_RelatedSearchKeyword" size="50"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="c-search" field="Enabled" title="la_fld_Enabled"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="c-search" field="Priority" title="la_fld_Priority" size="4"/>
			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>
<inp2:m_include t="incs/footer"/>
